Card = luajava.bindClass("tcg.Card");

local spell = Card:createAbility(10000,'Anduin Wrynn', 2, 'Priest', 'Heal target minion or hero for 2.', 'Epic');
	spell.onCast = function() game:chooseTarget(character, function() this():heal(2); end); end

local spell = Card:createAbility(10000,'Garrosh Hellscream', 2, 'Warrior', 'Gain 2 armor.', 'Epic');
	spell.onCast = function() this().owner.armor = this().owner.armor+2; end
	
local spell = Card:createAbility(10000,'Gul\'dan', 2, 'Warlock', 'Lose 2 life and draw a card.', 'Epic');
	spell.onCast = function() this().owner:damage(2); this().owner:draw(); end

local spell = Card:createAbility(10000,'Jaina Proudmoore', 2, 'Mage', 'Deal 1 damage.', 'Epic');
	spell.onCast = function() game:chooseTarget(character, function() this():damage(1); end) end

local spell = Card:createAbility(10000,'Malfurion Stormrage', 2, 'Druid', 'Gain 1 armor and 1 attack.', 'Epic');
	spell.onCast = function() this().owner.armor = this().owner.armor+2; this().owner:addAura('ATTACK',1,true); end

local spell = Card:createAbility(10000,'Rexxar', 2, 'Hunter', 'Deal 2 damage to the enemy hero.', 'Epic');
	spell.onCast = function() this().owner.opponent:damage(2); end

local spell = Card:createAbility(10000,'Thrall', 2, 'Shaman', 'Randomly summons a Healing Stream Totem, Stoneclaw Totem or Searing Totem', 'Epic');
	spell.onCast = function() local r = game:random(1,3);
		if r==1 then this().owner:summon('Healing Stream Totem'); end
		if r==2 then this().owner:summon('Stoneclaw Totem'); end
		if r==3 then this().owner:summon('Searing Totem'); end
	end
local spell = Card:createMinion(10000,'Healing Stream Totem', 0, 'Shaman', 'Heals each friendly character for one health at the end of each turn.', 0, 2, 'Basic');
	spell.onEndOfTurn = function() if this().controller == game:currentPlayer() then game:forEach(friendly,function() this():heal(1); end); end end
local spell = Card:createMinion(10000,'Stoneclaw Totem', 0, 'Shaman', 'Taunt.', 0, 2, 'Basic');
	spell.taunt=true;
local spell = Card:createMinion(10000,'Searing Totem', 0, 'Shaman', '', 0, 2, 'Basic');

local spell = Card:createAbility(10000,'Uther the Lightbringer', 2, 'Paladin', 'Summon a 1/1 Silver Hand Recruit.', 'Epic');
	spell.onCast = function() this().owner:summon('Silver Hand Recruit'); end;

local spell = Card:createMinion(10000,'Silver Hand Recruit', 3, '', '', 1, 1, 'Basic');

local spell = Card:createAbility(10000,'Valeera Sanguinar', 2, 'Rogue', 'Either equips a 2/1 Rogue Dagger or increases the currently equipped dagger\'s attack by 1.', 'Epic');
	spell.onCast = function() if this():hasWeapon() and this().weapon.card.name=='Rogue Dagger' then this().weapon.attack = this().weapon.attack+1; else this().owner:equip('Rogue Dagger'); end end
local spell = Card:createWeapon(10000,'Rogue Dagger', 0, 'Rogue', '', 2, 1, 'Basic');

	